linux: Add upstream patches for CVE-2022-4{1674,2719-2722}